From a778f0fc56b2228f30dcaa65b3ba213c81b81af1 Mon Sep 17 00:00:00 2001
From: Dylan Smith <Dylan.Smith@shopify.com>
Date: Thu, 18 Aug 2011 11:51:15 -0400
Subject: [PATCH 2/2] Use util.underscore rather than duplicating it's code.

---
 src/activeresource.py |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

diff --git a/src/activeresource.py b/src/activeresource.py
index 659ab49..7abe981 100755
--- a/src/activeresource.py
+++ b/src/activeresource.py
@@ -160,10 +160,7 @@ class ResourceMeta(type):
             new_attrs: The class attribute dictionary.
         """
         if '_singular' not in new_attrs or not new_attrs['_singular']:
-            # Convert CamelCase to lower_underscore
-            singular = re.sub(r'\B((?<=[a-z])[A-Z]|[A-Z](?=[a-z]))',
-                              r'_\1', name).lower()
-            new_attrs['_singular'] = singular
+            new_attrs['_singular'] = util.underscore(name)
 
         if '_plural' not in new_attrs or not new_attrs['_plural']:
             new_attrs['_plural'] = util.pluralize(new_attrs['_singular'])
-- 
1.7.6

